<template>
  <a-config-provider :locale="locale">
    <div class="app">
      <router-view />
    </div>
  </a-config-provider>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import { useMyStore } from './store'
import zhCN from 'ant-design-vue/es/locale/zh_CN';
import 'moment/dist/locale/zh-cn';

export default defineComponent({
  name: 'App',
  setup() {
    const store = useMyStore();

    return {
      locale: zhCN,
    }
  }
})
</script>

<style lang="scss" scoped>
.app {
  width: 100%;
  height: 100%;
  overflow: hidden;

  .map-wrapper {
    height: 100%;
    width: 100%;
  }
}
</style>

<style lang="scss">
#root {
  width: 100%;
  height: 100%
}
</style>